apiVersion: serving.knative.dev/v1
kind: Service
metadata:
  name: fertilization-fertilicalc-api-gateway
spec:
  template:
    spec:
      containers:
        - image: fastplatform/addons/fertilicalc/fertilization/fertilicalc-api-gateway
          env:
          - name: HASURA_GRAPHQL_METADATA_DIR
            value: /hasura-metadata
          ports:
          - containerPort: 8080
          volumeMounts:
            - name: hasura-metadata
              mountPath:  /hasura-metadata
      volumes:
        - name: hasura-metadata
          configMap:
            name: fertilization-fertilicalc-api-gateway-metadata
